! Copyright (C) GFD Dennou Club, 2000.  All rights reserved.

! dimord 番目の次元について入出力範囲指定を取り出す。
!
subroutine GTVarGetSlice(var, dimord, start, count, stride)
    use gtdata_types, only: GT_VARIABLE
    use an_generic, only: get_slice
    use dc_error
    type(GT_VARIABLE), intent(in):: var
    integer, intent(in):: dimord
    integer, intent(out), optional:: start
    integer, intent(out), optional:: count
    integer, intent(out), optional:: stride
    if (associated(var%an)) then
        call get_slice(var%an, dimord, start, count, stride)
    else
        call StoreError(GT_EFAKE, "GTVarGetSlice: unknown var type")
    endif
end subroutine
